> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runautomat.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runautomat.com/_mcp/server.

# Create an extractor and initial version

POST https://studio.runautomat.com/api/v1/projects/{projectId}/extractors
Content-Type: application/json

Reference: https://docs.runautomat.com/api-reference/programmatic-access/programmatic-access-api/extractors/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `description` (string, optional)
- `apiUrlSlug` (string, optional)
- `schema` (any, optional)
- `config` (ApiV1ProjectsProjectIdExtractorsPostRequestBodyContentApplicationJsonSchemaConfig, optional)

## Response

### 201

Declared primary response

- `extractor` (ApiV1ProjectsProjectIdExtractorsPostResponsesContentApplicationJsonSchemaExtractor, required)

## Types

### ApiV1ProjectsProjectIdExtractorsPostRequestBodyContentApplicationJsonSchemaConfig

- `modelTier` (string, required)
- `options` (any, required)
- `instructions` (string, optional)

### ApiV1ProjectsProjectIdExtractorsPostResponsesContentApplicationJsonSchemaExtractor

- `id` (string, required)
- `name` (string, required)
- `description` (string, required, nullable)
- `isDisabled` (boolean, required)
- `managed` (boolean, required)
- `createdAt` (datetime, required, nullable)
- `updatedAt` (datetime, required, nullable)
- `version` (ApiV1ProjectsProjectIdExtractorsPostResponsesContentApplicationJsonSchemaExtractorVersion, required, nullable)

### ApiV1ProjectsProjectIdExtractorsPostResponsesContentApplicationJsonSchemaExtractorVersion

- `id` (string, required)
- `versionNumber` (integer, required)
- `schema` (any, required)
- `config` (any, required)
- `createdAt` (datetime, required)

## Examples

**Request**

```json
{
  "name": "string"
}
```

**Response**

```json
{
  "extractor": {
    "id": "string",
    "name": "string",
    "description": "string",
    "isDisabled": true,
    "managed": true,
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "version": {
      "id": "string",
      "versionNumber": 1,
      "createdAt": "2024-01-15T09:30:00Z"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://studio.runautomat.com/api/v1/projects/projectId/extractors"

payload = { "name": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://studio.runautomat.com/api/v1/projects/projectId/extractors';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://studio.runautomat.com/api/v1/projects/projectId/extractors"

	payload := strings.NewReader("{\n  \"name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://studio.runautomat.com/api/v1/projects/projectId/extractors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://studio.runautomat.com/api/v1/projects/projectId/extractors")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://studio.runautomat.com/api/v1/projects/projectId/extractors', [
  'body' => '{
  "name": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://studio.runautomat.com/api/v1/projects/projectId/extractors");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://studio.runautomat.com/api/v1/projects/projectId/extractors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```